javax.swing.text.html.parser

## Class TagElement

- java.lang.Object
- - javax.swing.text.html.parser.TagElement

-     public class TagElement
      extends Object

  A generic HTML TagElement class. The methods define how white space is interpreted around the tag.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TagElement(Element elem)`
    `TagElement(Element elem, boolean fictional)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `breaksFlow()`
    `boolean` | `fictional()`
    `Element` | `getElement()`
    `HTML.Tag` | `getHTMLTag()`
    `boolean` | `isPreformatted()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TagElement

          public TagElement(Element elem)

    - #### TagElement

          public TagElement(Element elem,
                    boolean fictional)

  - ### Method Detail

    - #### breaksFlow

          public boolean breaksFlow()

    - #### isPreformatted

          public boolean isPreformatted()

    - #### getElement

          public Element getElement()

    - #### getHTMLTag

          public HTML.Tag getHTMLTag()

    - #### fictional

          public boolean fictional()

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.